## rb-removable-media-manager

rb-removable-media-manager

## Synopsis

    RBRemovableMediaManager* rb_removable_media_manager_new (RBShell *shell);
    void                rb_removable_media_manager_scan     (RBRemovableMediaManager *manager);
    void                rb_removable_media_manager_queue_transfer
                                                            (RBRemovableMediaManager *mgr,
                                                             RhythmDBEntry *entry,
                                                             const char *dest,
                                                             GList *mime_types,
                                                             RBTranferCompleteCallback callback,
                                                             gpointer userdata);

## Description

## Details

### rb_removable_media_manager_new ()

    RBRemovableMediaManager* rb_removable_media_manager_new (RBShell *shell);

`shell` : |
Returns : |

### rb_removable_media_manager_scan ()

    void                rb_removable_media_manager_scan     (RBRemovableMediaManager *manager);

`manager` : |

### rb_removable_media_manager_queue_transfer ()

    void                rb_removable_media_manager_queue_transfer
                                                            (RBRemovableMediaManager *mgr,
                                                             RhythmDBEntry *entry,
                                                             const char *dest,
                                                             GList *mime_types,
                                                             RBTranferCompleteCallback callback,
                                                             gpointer userdata);

`mgr` : |
`entry` : |
`dest` : |
`mime_types` : |
`callback` : |
`userdata` : |